%define upstream_name    asterisk-perl
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Asterisk modules for perl
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JA/JAMESGOL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::Telnet)
BuildArch:  noarch

%description
perl-%{name} are modules for interfacing with the Asterisk open
source pbx system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.80.0-6.mga10
+ Revision: 2204825
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.80.0-5.mga9
+ Revision: 1810674
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.80.0-4.mga8
+ Revision: 1507134
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.80.0-3.mga7
+ Revision: 1287486
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.80.0-2.mga7
+ Revision: 1163135
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.80.0-1.mga7
+ Revision: 1157735
- update to 1.08

* Sat Jun 18 2016 pterjan <pterjan> 1.30.0-7.mga6
+ Revision: 1022595
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.30.0-6.mga6
+ Revision: 941195
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 749440
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 687006
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 516360
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 375345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 13 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 181143
- update to 1.03

* Thu Dec 08 2011 kharec <kharec> 1.20.0-1.mga2
+ Revision: 179063
- update to 1.02

* Sat Jun 11 2011 spuhler <spuhler> 1.10.0-2.mga2
+ Revision: 104056
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 27363
- mageia rebuild
- imported package perl-asterisk-perl


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-1mdv2011.0
+ Revision: 603052
- normalize version

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2011.0
+ Revision: 389773
- update to new version 1.01

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.10-3mdv2009.0
+ Revision: 241150
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
+ Revision: 63919
- update to new version 0.10

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.09-1mdv2008.0
+ Revision: 19247
-New version


* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-3mdv2007.0
+ Revision: 99240
- Import perl-asterisk-perl

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.08-3mdk
- rebuild

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.08-2mdk
- rebuild

* Sun Dec 26 2004 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.08-1mdk
- initial mandrake package

